Bug 1773142 - WoeUSB crashes on exit
Summary: WoeUSB crashes on exit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: WoeUSB
Version: 31
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Matt Prahl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-16 00:51 UTC by Todd
Modified: 2020-01-04 22:15 UTC (History)
1 user (show)

Fixed In Version: WoeUSB-3.3.0-2.fc31 WoeUSB-3.3.0-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-04 20:32:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Todd 2019-11-16 00:51:01 UTC
Dear Fedora,

Fedora 31, x64
Xfce 4.14.1
WoeUSB-3.3.0-1.fc31.x86_64
Kanguru ALK-FB30-8G, FlashBlu30, 8 GB, USB3.0 Flash Drive

Win10_1909_English_x64.iso, from
https://www.microsoft.com/en-us/software-download/windows10ISO

The good new.  WoeUSB cuts a Windows 10 flash drive perfectly.  Even will boot off both  EUFI or Legacy BIOS’s too.  And Windows Ten install perfectly as well.  Class act.  If you are the author and are reading this, Thank You!


Now for the complaining.  What???  Complaining if fun!

1)  After cutting the flash drive from either the command line or the gui, WoeUSB crashes with error 256 and leaves the loop mount it used open.
   Command line:
   # woeusb --target-filesystem NTFS --device Win10_1809_English_x64.iso /dev/sd[x]

   Open loop:
    # df -kPT
    ...
    /dev/loop0 udf 5293786 5293786 0 100% /media/woeusb_source_1573623585_2757


2)   When the gui crashes, it opens a crash report window.  The windows has two problems:

    A)  The crash windows can not be copied into either the primary or the secondary clipboard.

    B)  The crash window has no scroll bar.  Instead it sizes the bottom of the window to match the length of the text.  This has the horrible effect of having the bottom of the window run off the bottom of your screen, maybe by about ten feet or so.


I have the facilities to test any fix you come up with, if that helps.

Many thanks,
-T

Comment 1 Matt Prahl 2019-11-19 15:20:03 UTC
Hi Todd,
I am the maintainer of the WoeUSB package but I'm not involved with any of the development. Please look for an existing issue or file a new one at https://github.com/slacka/WoeUSB to get attention from the developers.

Comment 2 Todd 2019-11-19 21:44:13 UTC
Hi Matt,

Thank you for the link.  I seldom can figure out who "upstream" is.

Companion bug: https://github.com/slacka/WoeUSB/issues/288

-T

Comment 3 Fedora Update System 2019-12-20 17:06:37 UTC
FEDORA-2019-b8f7656d66 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b8f7656d66

Comment 4 Fedora Update System 2019-12-20 17:06:38 UTC
FEDORA-2019-17d9fa6821 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-17d9fa6821

Comment 5 Fedora Update System 2019-12-21 01:27:08 UTC
WoeUSB-3.3.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-17d9fa6821

Comment 6 Fedora Update System 2019-12-21 01:41:41 UTC
WoeUSB-3.3.0-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b8f7656d66

Comment 7 Fedora Update System 2020-01-04 20:32:51 UTC
WoeUSB-3.3.0-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-01-04 22:15:28 UTC
WoeUSB-3.3.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.